package com.example.client;

public class UserInfo {
    private static UserInfo _instance;
    
    private UserInfo (){}
    
    public static synchronized UserInfo getInstance() {  
        if (_instance == null) {  
            _instance = new UserInfo();  
        }  
        return _instance;  
    }  
    
    // 是否登陆
    private boolean _isLogin;
    public synchronized boolean getIsLogin()
    {
        return _isLogin;
    }
    
    public synchronized void setIsLogin(boolean value)
    {
        _isLogin = value;
    }
    
    // 用户信息
    // 用户名
    private String _username;
    public synchronized String getUsername()
    {
        return _username;
    }
    
    public synchronized void setUsername(String value)
    {
        _username = value;
    }
    
    // 真实姓名
    private String _realname;
    public synchronized String getRealname()
    {
        return _realname;
    }
    
    public synchronized void setRealname(String value)
    {
        _realname = value;
    }
    
    // 年龄
    private String _age;
    public synchronized String getAge()
    {
        return _age;
    }
    
    public synchronized void setAge(String value)
    {
        _age = value;
    }
    
    // 性别
    private String _sex;
    public synchronized String getSex()
    {
        return _sex;
    }
    
    public synchronized void setSex(String value)
    {
        _sex = value;
    }
    
    // 正在进行的项目;
    private String _realaxName;
    public synchronized String getRelaxName()
    {
        return _realaxName;
    }
    
    public synchronized void setRelaxName(String value)
    {
        _realaxName = value;
    }

}
